Package org.bukkit.block.data.type

# Interface EndPortalFrame

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface EndPortalFrame extends Directional
'eye' denotes whether this end portal frame has been activated by having an eye of ender placed in it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasEye()`
Gets the value of the 'eye' property.
`void`
`setEye(boolean eye)`
Sets the value of the 'eye' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### hasEye

boolean hasEye()
Gets the value of the 'eye' property.

Returns:
  the 'eye' value

### setEye

void setEye(boolean eye)
Sets the value of the 'eye' property.

Parameters:
  `eye` - the new 'eye' value